Subject: Re: [net-next 01/17] fm10k: Fix error handling in the function fm10k_setup_tc for certain function calls

From: Joe Perches <[email-masked]>
Date: Thu, 03 Dec 2015 16:41:17 -0800

On Thu, 2015-12-03 at 16:29 -0800, Jeff Kirsher wrote:
> From: Nick <[email-masked]>

I guess this is an OK patch, but the From line isn't correct
(missing full name) and the changelog is nigh on unreadable.

> This fixes the function fm10k_setup_tc to properly check if the
> calls to either the function fm10k_init_queueing_scheme or the
> function fm10k_mbx_request_irq fail by returning a error code to
> signal that the call to either function has failed. Furthermore
> if this arises exit immediately from the function fm10k_setup_tc
> by returning the returned error code from the failed function call
> to signal to the caller that setting up the tc on the device has
> failed and the caller needs to handle this failed setup.

Maybe something like:

Add error handling in fm10k_setup_tc of fm10k_init_queueing_scheme
and fm10k_mbx_request_irq.